### Function

# AppStream spdx_license_detokenize

since: 0.9.8

#### Declaration [src]

    gchar*
    as_spdx_license_detokenize (
      gchar** license_tokens
    )

#### Description [src]

De-tokenizes the SPDX licenses into a string.

Available since: 0.9.8

#### Parameters

`license_tokens`

  Type: `gchar**`

  License tokens, typically from as_spdx_license_tokenize().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

String, or `NULL` for invalid.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.